Bug 281601 - Review Request: xsc - A clone of the old vector graphics video game Star Castle
Review Request: xsc - A clone of the old vector graphics video game Star Castle
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 18:33 EDT by Jon Ciesla
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 12:43:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-09-06 18:33:21 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/xsc/xsc.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/xsc/xsc-1.5-1.fc7.src.rpm
Description: The object is to blast a hole in the rings and destroy the enemy ship.
The only problem is that it tracks your every move and as soon as you
knock a hole in all three rings, and they all line up, it lets loose
with the big nasty green fireballs.  Avoid them.  Avoid the little green
buzzers, too.  Shoot 'em if you want.
Comment 1 Hans de Goede 2007-09-08 08:04:52 EDT
I'll review this, Jon could you review umbrello in return please?
The umbrello review is bug 283471.
Comment 2 Hans de Goede 2007-09-08 08:45:52 EDT
Fully reviewed.

Must Fix:
---------
* Add "Requires: hicolor-icon-theme" for dir ownership

Should Fix:
-----------
* run "convert xsc.png -transparent white out.png" and then replace xsc.png with 
  out.png to make the icon transparent (much nicer).
Comment 3 Jon Ciesla 2007-09-08 10:25:42 EDT
Addressed.  I'll get on ubrello very, very, soon. :)

Spec URL: http://zanoni.jcomserv.net/fedora/xsc/xsc.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/xsc/xsc-1.5-2.fc7.src.rpm
Comment 4 Hans de Goede 2007-09-08 10:39:35 EDT
Approved!
Comment 5 Jon Ciesla 2007-09-08 10:54:21 EDT
Many thanks!

New Package CVS Request
=======================
Package Name: xsc
Short Description: A clone of the old vector graphics video game Star Castle
Owners: limb@jcomserv.net
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 6 Jon Ciesla 2007-09-08 15:32:19 EDT
Whoops:

New Package CVS Request
=======================
Package Name: xsc
Short Description: A clone of the old vector graphics video game Star Castle
Owners: limb
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-09-09 18:45:17 EDT
cvs done.
Comment 8 Jon Ciesla 2007-09-10 10:30:10 EDT
Build failed in devel.  
http://koji.fedoraproject.org/koji/getfile?taskID=153467&name=build.log
Tried it in local mock, which failed, the same way.  I tried adding libX11-devel
to the BRs, and still nothing.  Suggestions?
Comment 9 Hans de Goede 2007-09-10 10:43:18 EDT
You probably need to add "libXt-devel" to the BuildRequires (don't ask).
Comment 10 Jon Ciesla 2007-09-10 11:49:49 EDT
Wow, that worked in local mock.  I can't figure out why, as all the lib strings
in the executable are from libX11 and xorg-X11-proto-devel.  I've submitted to
koji for devel, but it appears to be slightly backlogged.

Thanks.
Comment 12 Hans de Goede 2007-09-10 13:30:27 EDT
(In reply to comment #10)
> Wow, that worked in local mock.  I can't figure out why, as all the lib strings
> in the executable are from libX11 and xorg-X11-proto-devel.  I've submitted to
> koji for devel, but it appears to be slightly backlogged.
> 

libXt-devel is needed because old configure scripts check for X11/Intrinsic.h,
even though apps usually don't use that :)

(In reply to comment #11)
> Ok, the koji build failed.
> http://koji.fedoraproject.org/koji/getfile?taskID=154305&name=build.log
> http://koji.fedoraproject.org/koji/getfile?taskID=154305&name=root.log
> 

Hmm, looks like  64bit issue, investigating.
Comment 13 Hans de Goede 2007-09-10 13:44:16 EDT
Okay,

passing: '--x-includes="" --x-libraries=""' to %configure should disable
configures broken X checking without any side-effects and thus be the easiest
way to fix this. You can then also drop the libXt-devel BR.
Comment 14 Jon Ciesla 2007-09-10 14:41:48 EDT
Worked like a charm.  Added your line, and had to add libX11-devel back, and it
worked, in a local mock build and koji devel.  

Many thanks.  I can't actually test anything x64 wise.  I have a machine in the
house with the appropriate hardware support, but my wife has it running That
Other OS.  For now. :)
Comment 15 Fedora Update System 2007-09-12 12:43:42 EDT
xsc-1.5-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.